> ## Documentation Index
> Fetch the complete documentation index at: https://docs.privy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Export wallet

> Export a wallet's private key.

### SDK methods

Learn more about exporting wallets using our SDKs [here](/wallets/wallets/export).

***

This endpoint exports a wallet's private key using Hybrid Public Key Encryption (HPKE). The following HPKE configuration is supported:

* KEM (Key Encapsulation Mechanism): DHKEM\_P256\_HKDF\_SHA256
* KDF (Key Derivation Function): HKDF\_SHA256
* AEAD (Authenticated Encryption with Associated Data): CHACHA20\_POLY1305
* Mode: BASE


## OpenAPI

````yaml post /v1/wallets/{wallet_id}/export
openapi: 3.1.0
info:
  version: 0.0.1
  title: Privy API
  description: >-
    REST API for Privy's wallet infrastructure — provision and manage wallets
    across EVM, Solana, and Bitcoin, authenticate users, sign transactions, and
    configure programmable policies and authorization intents.
  contact:
    name: Privy
    url: https://www.privy.io/
    email: support@privy.io
servers:
  - url: https://api.privy.io
security: []
tags:
  - name: Accounts
    description: Operations related to asset accounts
  - name: Aggregations
    description: Operations related to aggregations for tracking and measuring metrics
  - name: Apps
    description: Operations related to app settings and allowlist management
  - name: Client Auth
    description: OAuth token exchange and device authorization operations
  - name: Condition Sets
    description: Operations related to condition sets
  - name: Embedded wallets
    description: Operations related to embedded wallet creation and authentication
  - name: Fiat
    description: Operations related to fiat onramping and offramping
  - name: Intents
    description: Operations related to authorization intents for wallet actions
  - name: Key quorums
    description: Operations related to key quorums
  - name: Kraken Embed
    description: >-
      Operations for Kraken Embed integration, including quotes, trades, user
      management, and portfolio operations
  - name: OAuth
    description: >-
      OAuth 2.0 endpoints including Device Authorization Grant (RFC 8628) for
      CLI and limited-input device login flows
  - name: Organizations
    description: Operations related to organization secret management
  - name: Policies
    description: Operations related to policies
  - name: Shared
    description: Common schemas shared across resources
  - name: Swaps
    description: Operations for swapping tokens within wallets
  - name: Transactions
    description: Operations related to transactions
  - name: User signers
    description: Operations related to user signers
  - name: Users
    description: Operations related to users
  - name: Wallet Actions
    description: Operations related to wallet actions
  - name: Wallets
    description: Operations related to wallets
  - name: Webhooks
    description: >-
      Webhook events that Privy sends to your configured endpoint when specific
      actions occur in your app
  - name: Yield
    description: >-
      Operations for depositing and withdrawing funds from ERC-4626 yield vaults
      (Morpho, Aave)
paths:
  /v1/wallets/{wallet_id}/export:
    post:
      tags:
        - Wallets
      summary: Export wallet
      description: Export a wallet's private key
      operationId: exportWallet
      parameters:
        - schema:
            type: string
            description: ID of the wallet.
          required: true
          name: wallet_id
          in: path
        - schema:
            type: string
            description: ID of your Privy app.
          required: true
          name: privy-app-id
          in: header
        - schema:
            type: string
            description: >-
              Request authorization signature. If multiple signatures are
              required, they should be comma separated.
          required: false
          name: privy-authorization-signature
          in: header
        - schema:
            type: string
            description: >-
              Request expiry. Value is a Unix timestamp in milliseconds
              representing the deadline by which the request must be processed.
          required: false
          name: privy-request-expiry
          in: header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WalletExportRequestBody'
      responses:
        '200':
          description: The exported private key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletExportResponseBody'
      security:
        - appSecretAuth: []
components:
  schemas:
    WalletExportRequestBody:
      type: object
      properties:
        encryption_type:
          $ref: '#/components/schemas/HPKEEncryption'
        recipient_public_key:
          type: string
          description: >-
            The base64-encoded encryption public key to encrypt the wallet
            private key with.
        export_seed_phrase:
          type: boolean
      required:
        - encryption_type
        - recipient_public_key
      description: Request body for exporting a wallet private key.
      title: WalletExportRequestBody
      example:
        encryption_type: HPKE
        recipient_public_key: >-
          BDAZLOIdTaPycEYkgG0MvCzbIKJLli/yWkAV5yCa9yOsZ4JsrLweA5MnP8YIiY4k/RRzC+APhhO+P+Hoz/rt7Go=
      x-stainless-model: wallets.wallet_export_request_body
    WalletExportResponseBody:
      type: object
      properties:
        encryption_type:
          $ref: '#/components/schemas/HPKEEncryption'
        ciphertext:
          type: string
          description: The encrypted private key.
        encapsulated_key:
          type: string
          description: >-
            The base64-encoded encapsulated key that was generated during
            encryption, for use during decryption.
      required:
        - encryption_type
        - ciphertext
        - encapsulated_key
      description: Response body containing the encrypted wallet private key.
      title: WalletExportResponseBody
      example:
        encryption_type: HPKE
        encapsulated_key: >-
          BOhR6xITDt5THJawHHJKrKdI9CBr2M/SDWzZZAaOW4gCMsSpC65U007WyKiwuuOVAo1BNm4YgcBBROuMmyIZXZk=
        ciphertext: PRoRXygG+YYSDBXjCopNYZmx8Z6nvdl1D0lpePTYZdZI2VGfK+LkFt+GlEJqdoi9
      x-stainless-model: wallets.wallet_export_response_body
    HPKEEncryption:
      type: string
      enum:
        - HPKE
      description: >-
        The encryption type of the wallet to import. Currently only supports
        `HPKE`.
      title: HPKEEncryption
      x-stainless-model: wallets.hpke_encryption
  securitySchemes:
    appSecretAuth:
      type: http
      scheme: basic
      description: >-
        Basic Auth header with your app ID as the username and your app secret
        as the password.

````